module Hawkei
  module Plugins
    module Rails
      class MiddlewareData

        class << self

          def store_data(request = nil)
            store_request_data(request) if request
          end

          private

          def store_request_data(request)
            object = Hawkei::Store.get(:request) || {}

            Hawkei::Store.set(
              :request,
              object.merge(id: request.env['action_dispatch.request_id'])
            )
          end

        end

      end
    end
  end
end
