module Hawkei
  module Plugins
    module Sidekiq
      ##
      # Hawkei \Plugins \Sidekiq \Client \Middleware
      #
      # Client middleware for sidekiq
      #
      class ClientMiddleware

        def call(_worker_class, job, _queue, _redis_pool)
          job[Hawkei::Const::SESSION_TRACKER_ID] = Hawkei::Store.store[:session_tracker_id]
          job[Hawkei::Const::FOLLOW] = Hawkei::Store.store[:auto_id]

          yield
        end

      end
    end
  end
end
