module Hawkei
  ##
  # == Hawkei \Watcher
  #
  # Create and update groups
  #
  # @example: Usage
  #
  #   request = Hawkei::Watcher.create(template_flow: 'My Hawkei', expected_times: 42) #=> #<Hawkei::Response...>
  #
  class Watcher < APIResource
    include Hawkei::APIOperation::Save
    include Hawkei::APIOperation::Delete
  end
end
