require 'hawkei/plugins/sidekiq/client_middleware'
require 'hawkei/plugins/sidekiq/server_middleware'

Sidekiq.configure_client do |config|
  config.client_middleware do |chain|
    chain.add Hawkei::Plugins::Sidekiq::ClientMiddleware
  end
end

Sidekiq.configure_server do |config|
  config.server_middleware do |chain|
    chain.add Hawkei::Plugins::Sidekiq::ServerMiddleware
  end
end
